# Uses of Interface
org.eclipse.e4.ui.model.application.ui.advanced.MPerspective

Packages that use MPerspective
Package
Description
org.eclipse.e4.ui.model.application.ui.advanced
Application programming interfaces describing the advanced Eclipse 4 user interface model elements.
org.eclipse.e4.ui.workbench.modeling
Application programming interfaces describing the Eclipse 4 model services.

## Uses of MPerspective in org.eclipse.e4.ui.model.application.ui.advanced

Methods in org.eclipse.e4.ui.model.application.ui.advanced that return MPerspective
Modifier and Type
Method
Description
`MPerspective`
MAdvancedFactory.`createPerspective()`
Returns a new object of class 'Perspective'.

## Uses of MPerspective in org.eclipse.e4.ui.workbench.modeling

Methods in org.eclipse.e4.ui.workbench.modeling that return MPerspective
Modifier and Type
Method
Description
`MPerspective`
EModelService.`getActivePerspective(MWindow window)`
Return the active perspective for the given window.
`MPerspective`
EModelService.`getPerspectiveFor(MUIElement element)`
Methods in org.eclipse.e4.ui.workbench.modeling that return types with arguments of type MPerspective
Modifier and Type
Method
Description
`Optional<MPerspective>`
EPartService.`switchPerspective(String perspectiveId)`
Switch to the specified perspective.
Methods in org.eclipse.e4.ui.workbench.modeling with parameters of type MPerspective
Modifier and Type
Method
Description
`void`
EModelService.`hideLocalPlaceholders(MWindow window, MPerspective perspective)`
This method ensures that there will never be two placeholders for the same referenced element visible in the presentation at the same time.
`boolean`
EPartService.`isPartOrPlaceholderInPerspective(String elementId, MPerspective perspective)`
Indicates whether a part with a certain elementId is currently rendered in a certain perspective or not.
`void`
EModelService.`removePerspectiveModel(MPerspective persp, MWindow window)`
Remove the given perspective completely from the model.
`void`
EModelService.`resetPerspectiveModel(MPerspective persp, MWindow window)`
This is a convenience method that will clean the model of all traces of a given perspective.
`void`
EPartService.`switchPerspective(MPerspective perspective)`
Switch to the specified perspective.